Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452283 (yum-builddep) - Traceback from yum-builddep while doing transaction
Summary: Traceback from yum-builddep while doing transaction
Keywords:
Status: CLOSED UPSTREAM
Alias: yum-builddep
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 18:06 UTC by Luya Tshimbalanga
Modified: 2014-01-21 06:10 UTC (History)
5 users (show)

Fixed In Version: yum-utils-1.1.16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-15 13:07:47 UTC


Attachments (Terms of Use)
new yum-builddep which fixes this issue (deleted)
2008-09-15 12:27 UTC, seth vidal
no flags Details

Description Luya Tshimbalanga 2008-06-20 18:06:08 UTC
Description of problem:
yum-builldep will traceback after succesfully solve the dependancey and attempt
to install


Version-Release number of selected component (if applicable):
1.1.14-4

How reproducible:
Always

Steps to Reproduce:
1. Simply execute yum-builddep on any source rpm package
2.
3.
  
Actual results:
Resulting traceback
$ su -c "yum-builddep rpmbuild/SRPMS/scribus-1.3.3.6-1.fc7.src.rpm "
Mot de passe : 
Modules complémentaires chargés : fastestmirror, presto, refresh-packagekit,
                                : upgrade-helper
Setting up and reading Presto delta metadata
No Presto metadata available for livna
No Presto metadata available for fedora
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
Loading mirror speeds from cached hostfile
 * livna: livna.cat.pdx.edu
 * fedora: mirror.stanford.edu
 * adobe-linux-i386: linuxdownload.adobe.com
 * updates: mirror.lib.ucdavis.edu
1:cups-devel-1.3.7-2.fc9.x86_64
desktop-file-utils-0.15-1.fc9.x86_64
lcms-devel-1.17-4.fc9.x86_64
libart_lgpl-devel-2.3.20-1.fc9.x86_64
libjpeg-devel-6b-41.fc9.x86_64
2:libpng-devel-1.2.29-1.fc9.x86_64
libtiff-devel-3.8.2-10.fc9.x86_64
libtool-1.5.24-6.fc9.x86_64
libxml2-devel-2.6.32-2.fc9.x86_64
openssl-devel-0.9.8g-9.fc9.x86_64
python-devel-2.5.1-25.fc9.x86_64
1:qt-devel-4.3.5-1.fc9.x86_64
zlib-devel-1.2.3-18.fc9.x86_64
freetype-devel-2.3.5-6.fc9.x86_64
gnutls-devel-2.0.4-3.fc9.x86_64
--> Lancement de la transaction de test
---> Paquetage cups-devel.x86_64 1:1.3.7-2.fc9 marqué pour être mis à jour 
---> Paquetage lcms-devel.x86_64 0:1.17-4.fc9 marqué pour être mis à jour 
---> Paquetage qt-devel.x86_64 1:4.3.5-1.fc9 marqué pour être mis à jour 
--> Résolution des dépendances terminée

=============================================================================
 Paquetage               Architecture  Version          Dépôt             Taille
=============================================================================
Installation:
 cups-devel              x86_64     1:1.3.7-2.fc9    updates            72 k
 lcms-devel              x86_64     1.17-4.fc9       fedora             50 k
 qt-devel                x86_64     1:4.3.5-1.fc9    updates           6.5 M

Résumé de la transaction
=============================================================================
Installation      3 Paquetage(s)         
Mise à jour       0 Package(s)         
Suppression       0 Package(s)         

Taille totale des téléchargement : 6.6 M
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 139, in <module>
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 73, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 348, in doTransaction
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 351, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xa0' in position 20:
ordinal not in range(128)

Expected results:
Dependant package should be installed


Additional info:

Comment 1 Jan Hutař 2008-09-08 13:48:42 UTC
Hello,
I was not able to reproduce. Could you pleae try to run `yum-builddep -y rpmbuild/SRPMS/scribus-1.3.3.6-1.fc7.src.rpm` or maybe `LANG=C yum-builddep ...`?

Comment 2 Pavel Alexeev 2008-09-08 20:11:54 UTC
I'm reproduce this every time:
$ sudo yum-builddep -d1 mysql-gui-tools-5.0r12-1.fc9.Hu.12.src.rpm 
lua-devel-5.1.3-6.fc9.i386
1:java-1.6.0-openjdk-1.6.0.0-0.16.b09.fc9.i386
1:java-1.6.0-openjdk-devel-1.6.0.0-0.16.b09.fc9.i386
libglade2-devel-2.6.2-5.fc9.i386
glib2-devel-2.16.5-1.fc9.i386
libxml2-devel-2.6.32-2.fc9.i386
gtkhtml3-devel-3.18.3-1.fc9.i386
gtkmm24-devel-2.12.7-1.fc9.i386
mesa-libGLU-devel-7.1-0.37.fc9.i386
libtool-1.5.24-6.fc9.i386
mysql-5.1.26-0.1.rc.fc9.remi.i386
desktop-file-utils-0.15-1.fc9.i386
ncurses-devel-5.6-18.20080628.fc9.i386
libgnomeprint22-devel-2.18.4-1.fc9.i386
mysql-5.1.26-0.1.rc.fc9.remi.i386 from remi-test-F9 has depsolving problems
  --> mysql conflicts with MySQL-server
mysql-5.1.26-0.1.rc.fc9.remi.i386 from remi-test-F9 has depsolving problems
  --> Missing Dependency: mysql-libs = 5.1.26-0.1.rc.fc9.remi is needed by package mysql-5.1.26-0.1.rc.fc9.remi.i386 (remi-test-F9)

=============================================================================
 Package                 Арх.       Версия           Repository        Size 
=============================================================================
Installing:
 mysql                   i386       5.1.26-0.1.rc.fc9.remi  remi-test-F9      3.2 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 3.2 M
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in <module>
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 73, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 376, in doTransaction
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 368, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-8: ordinal not in range(128)


Ho-ho! It seems as bug in i18n, please see in POSIX console it work:
$ LANG=C sudo yum-builddep -d1 mysql-gui-tools-5.0r12-1.fc9.Hu.12.src.rpm 
lua-devel-5.1.3-6.fc9.i386
1:java-1.6.0-openjdk-1.6.0.0-0.16.b09.fc9.i386
1:java-1.6.0-openjdk-devel-1.6.0.0-0.16.b09.fc9.i386
libglade2-devel-2.6.2-5.fc9.i386
glib2-devel-2.16.5-1.fc9.i386
libxml2-devel-2.6.32-2.fc9.i386
gtkhtml3-devel-3.18.3-1.fc9.i386
gtkmm24-devel-2.12.7-1.fc9.i386
mesa-libGLU-devel-7.1-0.37.fc9.i386
libtool-1.5.24-6.fc9.i386
mysql-5.1.26-0.1.rc.fc9.remi.i386
desktop-file-utils-0.15-1.fc9.i386
ncurses-devel-5.6-18.20080628.fc9.i386
libgnomeprint22-devel-2.18.4-1.fc9.i386
mysql-5.1.26-0.1.rc.fc9.remi.i386 from remi-test-F9 has depsolving problems
  --> mysql conflicts with MySQL-server
mysql-5.1.26-0.1.rc.fc9.remi.i386 from remi-test-F9 has depsolving problems
  --> Missing Dependency: mysql-libs = 5.1.26-0.1.rc.fc9.remi is needed by package mysql-5.1.26-0.1.rc.fc9.remi.i386 (remi-test-F9)

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 mysql                   i386       5.1.26-0.1.rc.fc9.remi  remi-test-F9      3.2 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 3.2 M
Is this ok [y/N]:

Comment 3 Luya Tshimbalanga 2008-09-08 20:43:13 UTC
Seems to work fine now.

$ su -c "yum-builddep -y rpmbuild/SRPMS/scribus-1.3.3.11-1.fc7.src.rpm "
Mot de passe : 
Modules complémentaires chargés : fastestmirror, presto, refresh-packagekit,
                                : upgrade-helper
Setting up and reading Presto delta metadata
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for ovirt
No Presto metadata available for fedora
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
Loading mirror speeds from cached hostfile
 * updates-testing: mirror.cpsc.ucalgary.ca
 * livna: livna.cat.pdx.edu
 * fedora: mirror.cpsc.ucalgary.ca
 * updates: mirror.cpsc.ucalgary.ca
1:cups-devel-1.3.8-2.fc9.x86_64
desktop-file-utils-0.15-1.fc9.x86_64
lcms-devel-1.17-5.fc9.x86_64
libart_lgpl-devel-2.3.20-1.fc9.x86_64
libjpeg-devel-6b-41.fc9.x86_64
2:libpng-devel-1.2.29-1.fc9.x86_64
libtiff-devel-3.8.2-10.fc9.x86_64
libtool-1.5.24-6.fc9.x86_64
libxml2-devel-2.6.32-2.fc9.x86_64
openssl-devel-0.9.8g-9.fc9.x86_64
python-devel-2.5.1-26.fc9.x86_64
1:qt-devel-4.4.1-2.fc9.x86_64
zlib-devel-1.2.3-18.fc9.x86_64
freetype-devel-2.3.5-6.fc9.x86_64
gnutls-devel-2.0.4-3.fc9.x86_64
No uninstalled build requires
[luya@benashima ~]$ su -c "yum-builddep -y rpmbuild/SRPMS/scribus-1.3.3.11-1.fc7.src.rpm "
Mot de passe : 
Modules complémentaires chargés : fastestmirror, presto, refresh-packagekit,
                                : upgrade-helper
Setting up and reading Presto delta metadata
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for ovirt
No Presto metadata available for fedora
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
Loading mirror speeds from cached hostfile
 * updates-testing: mirror.cpsc.ucalgary.ca
 * livna: livna.cat.pdx.edu
 * fedora: mirror.cpsc.ucalgary.ca
 * updates: mirror.cpsc.ucalgary.ca
1:cups-devel-1.3.8-2.fc9.x86_64
desktop-file-utils-0.15-1.fc9.x86_64
lcms-devel-1.17-5.fc9.x86_64
libart_lgpl-devel-2.3.20-1.fc9.x86_64
libjpeg-devel-6b-41.fc9.x86_64
2:libpng-devel-1.2.29-1.fc9.x86_64
libtiff-devel-3.8.2-10.fc9.x86_64
libtool-1.5.24-6.fc9.x86_64
libxml2-devel-2.6.32-2.fc9.x86_64
openssl-devel-0.9.8g-9.fc9.x86_64
python-devel-2.5.1-26.fc9.x86_64
1:qt-devel-4.4.1-2.fc9.x86_64
zlib-devel-1.2.3-18.fc9.x86_64
freetype-devel-2.3.5-6.fc9.x86_64
gnutls-devel-2.0.4-3.fc9.x86_64
--> Lancement de la transaction de test
---> Paquetage qt-devel.x86_64 1:4.4.1-2.fc9 marqué pour être mis à jour 
--> Traitement de la dépendance : libXft-devel pour le paquetage : qt-devel
---> Paquetage freetype-devel.x86_64 0:2.3.5-6.fc9 marqué pour être mis à jour 
--> Lancement de la transaction de test
---> Paquetage libXft-devel.x86_64 0:2.1.12-5.fc9 marqué pour être mis à jour 
--> Traitement de la dépendance : fontconfig-devel >= 2.2-1 pour le paquetage : libXft-devel
--> Lancement de la transaction de test
---> Paquetage fontconfig-devel.x86_64 0:2.5.0-2.fc9 marqué pour être mis à jour 
--> Résolution des dépendances terminée

=============================================================================
 Paquetage               Architecture  Version          Dépôt             Taille
=============================================================================
Installation:
 freetype-devel          x86_64     2.3.5-6.fc9      updates           153 k
 qt-devel                x86_64     1:4.4.1-2.fc9    updates-testing   7.5 M
Installation pour dépendance:
 fontconfig-devel        x86_64     2.5.0-2.fc9      fedora            215 k
 libXft-devel            x86_64     2.1.12-5.fc9     fedora             17 k

Résumé de la transaction
=============================================================================
Installation      4 Paquetage(s)         
Mise à jour       0 Package(s)         
Suppression       0 Package(s)         

Taille totale des téléchargement : 7.8 M
Téléchargement des paquetages :
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
(1/4): libXft-devel-2.1.12-5.fc9.x86_64.rpm              |  17 kB     00:18     
(2/4): freetype-devel-2.3.5-6.fc9.x86_64.rpm             | 153 kB     00:52     
(3/4): fontconfig-devel-2.5.0-2.fc9.x86_64.rpm           | 215 kB     00:35     
(4/4): qt-devel-4.4.1-2.fc9.x86_64.rpm                   | 7.5 MB     07:45     
--------------------------------------------------------------------------------
Total                                            14 kB/s | 7.8 MB     09:44     
Lancement de rpm_check_debug
Lancement de la transaction de test
Transaction de test terminée
Transaction de test réussie
Lancement de la transaction
  Installation   : freetype-devel                                    [1/4] 
  Installation   : fontconfig-devel                                  [2/4] 
  Installation   : libXft-devel                                      [3/4] 
  Installation   : qt-devel                                          [4/4] 

Installé: freetype-devel.x86_64 0:2.3.5-6.fc9 qt-devel.x86_64 1:4.4.1-2.fc9
Dépendance installée: fontconfig-devel.x86_64 0:2.5.0-2.fc9 libXft-devel.x86_64 0:2.1.12-5.fc9

Comment 4 seth vidal 2008-09-11 17:47:56 UTC
So is this working now for everyone?

Please reopen if it is not.

Also please make sure you're using yum 3.2.19-3 and yum-utils-1.1.16

Comment 5 Pavel Alexeev 2008-09-12 21:34:48 UTC
(In reply to comment #4)
> So is this working now for everyone?
> Please reopen if it is not.

No. It is crash on exactly same manner:

$ sudo yum-builddep -d1 mysql-gui-tools-5.0r12-1.fc9.Hu.18.src.rpm 
http://ftp.rhd.ru/pub/fedora/linux/updates/9/i386.newkey/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found
Trying other mirror.
lua-devel-5.1.3-6.fc9.i386
1:java-1.6.0-openjdk-1.6.0.0-0.18.b09.fc9.i386
1:java-1.6.0-openjdk-devel-1.6.0.0-0.18.b09.fc9.i386
libglade2-devel-2.6.2-5.fc9.i386
glib2-devel-2.16.5-1.fc9.i386
libxml2-devel-2.7.1-1.fc9.i386
gtkhtml3-devel-3.18.3-1.fc9.i386
gtkmm24-devel-2.12.7-1.fc9.i386
mesa-libGLU-devel-7.1-0.37.fc9.i386
libtool-1.5.24-6.fc9.i386
mysql-5.1.26-0.1.rc.fc9.remi.i386
pcre-devel-7.3-4.fc9.i386
MySQL-devel-5.1.26.rc-Hu.0.athlon
expat-devel-2.0.1-5.i386
desktop-file-utils-0.15-1.fc9.i386
ncurses-devel-5.6-18.20080628.fc9.i386
libgnomeprint22-devel-2.18.4-1.fc9.i386
openssl-devel-0.9.8g-9.fc9.i386
gettext-0.17-4.fc9.i386
autoconf-2.61-10.fc9.noarch
automake-1.10.1-2.noarch
mysql-5.1.26-0.1.rc.fc9.remi.i386 from remi-test-F9 has depsolving problems
  --> mysql conflicts with MySQL-server
mysql-5.1.26-0.1.rc.fc9.remi.i386 from remi-test-F9 has depsolving problems
  --> Missing Dependency: mysql-libs = 5.1.26-0.1.rc.fc9.remi is needed by package mysql-5.1.26-0.1.rc.fc9.remi.i386 (remi-test-F9)

================================================================================
 Package     Арх.       Версия                       Repository           Size 
================================================================================
Installing:
 mysql       i386       5.1.26-0.1.rc.fc9.remi       remi-test-F9         3.2 M

Transaction Summary
================================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 3.2 M
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in <module>
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 73, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 376, in doTransaction
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 414, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-8: ordinal not in range(128)

> Also please make sure you're using yum 3.2.19-3 and yum-utils-1.1.16
$ rpm -q yum yum-utils
yum-3.2.19-3.fc9.noarch
yum-utils-1.1.16-1.fc9.noarch

Comment 6 Jan Hutař 2008-09-15 07:40:22 UTC
Reopenning as per comment #5.

What locale are you using (`locale`), which repos do you have configured (`yum repolist; cat /etc/yum.repos.d/*.repo`)?

Could you please try to reproduce with some package from Fedora repository and against "fedora" and "updates" repos only (`yum-builddep -d 1 --disablerepo=\* --enablerepo=fedora,updates package_for_the_test`)?

Comment 7 Pavel Alexeev 2008-09-15 10:37:57 UTC
(In reply to comment #6)
> What locale are you using (`locale`)
# locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=

> which repos do you have configured (`yum
> repolist; cat /etc/yum.repos.d/*.repo`)?
# yum repolist
.... (skip several lines) ...
repo id              repo name                                status  
Hubbitus-F9          Hubbitus F9                              enabled :     117
adobe-linux-i386     Adobe Systems Incorporated               enabled :      17
dribble              Dribble for Fedora 9 - i386              enabled :      89
freshrpms-F9         freshrpms F9                             enabled :     147
gemi                 Fedora 9 - i386 - gemi                   enabled :     110
google               Google - i386                            enabled :       4
kde                  kde                                      enabled :       0
kde-all              kde-all                                  enabled :     478
kde-testing          kde-testing                              enabled :       0
kde-testing-all      kde-testing-all                          enabled :       1
livna                Livna for Fedora Core 9 - i386 - Base    enabled :     788
remi-F9              Les RPM de remi pour F9                  enabled :     101
remi-test-F9         Les RPM de remi en test pour F9          enabled :      79
tigro                Tigro for Fedora 9 - i386                enabled :     167
updates-testing      Fedora 9 - i386 - Test Updates           enabled :     840

cat /etc/yum.repos.d/*.repo
produce very ambiguous output... I can attach all my *.repo-files please tell me if you want. But for what??

> Could you please try to reproduce with some package from Fedora repository and
> against "fedora" and "updates" repos only (`yum-builddep -d 1 --disablerepo=\*
> --enablerepo=fedora,updates package_for_the_test`)?
Off course:
$ sudo yum-builddep -d 1 --disablerepo='*' --enablerepo='fedora,updates' mc-4.6.2-6.pre1.fc10.src.rpm 
glib2-devel-2.16.5-1.fc9.i386
e2fsprogs-devel-1.40.8-3.fc9.i386
slang-devel-2.1.3-3.fc9.i386
e2fsprogs-devel-1.40.8-3.fc9.i386 from updates has depsolving problems
  --> Missing Dependency: e2fsprogs-libs = 1.40.8-3.fc9 is needed by package e2fsprogs-devel-1.40.8-3.fc9.i386 (updates)

================================================================================
 Package                Арх.        Версия              Repository        Size 
================================================================================
Installing:
 e2fsprogs-devel        i386        1.40.8-3.fc9        updates           638 k
 slang-devel            i386        2.1.3-3.fc9         fedora             94 k

Transaction Summary
================================================================================
Install      2 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 731 k
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in <module>
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 73, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 376, in doTransaction
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 414, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-8: ordinal not in range(128)

Comment 8 Jan Hutař 2008-09-15 11:53:15 UTC
I see, thank you - now I can reproduce:


# LANG=ru_RU.UTF-8 yum-builddep -d 1 --disablerepo=\* --enablerepo=fedora,updates krb5-1.6.3-10.fc9.src.rpm
...
Total download size: 1.9 M
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in <module>
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 73, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 376, in doTransaction
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 414, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-8: ordinal not in range(128)


Note: AFAIK there is a bug in a Python that raw_input can't handle UTF-8 prompts (can't find refference), so it is interresting that this happens in yum-buildrequires but not in yum itself.


For now to workaround the problem you can use:

# LANG=C yum-builddep ...

or:

# yum-builddep -y ...

Comment 9 seth vidal 2008-09-15 12:27:34 UTC
Created attachment 316735 [details]
new yum-builddep which fixes this issue

If you could test this version of yum-builddep to make sure it works for you, that'd be appreciated.

Comment 10 Pavel Alexeev 2008-09-15 12:37:51 UTC
(In reply to comment #8)
> I see, thank you - now I can reproduce:
> 
> 
> # LANG=ru_RU.UTF-8 yum-builddep -d 1 --disablerepo=\*
> --enablerepo=fedora,updates krb5-1.6.3-10.fc9.src.rpm
So, it is happens not only in Russian locale, in any non-english UTF-8 (as I can understand), so, try for example fr_FR.UTF-8.

So, in case of yum, where i18n done by around ~1% (arch and version as you can see in listing above :) ) I do not see sense to l10n in general.

> Note: AFAIK there is a bug in a Python that raw_input can't handle UTF-8
> prompts (can't find refference), so it is interresting that this happens in
> yum-buildrequires but not in yum itself.
I'm not a python developer, but in yum this is not happens for me.

> For now to workaround the problem you can use:
> 
> # LANG=C yum-builddep ...
Yes, as I wrote early this is work properly.

Comment 11 Pavel Alexeev 2008-09-15 12:50:00 UTC
(In reply to comment #9)
> Created an attachment (id=316735) [details]
> new yum-builddep which fixes this issue
> 
> If you could test this version of yum-builddep to make sure it works for you,
> that'd be appreciated.
It seems work well for me. Thank you very much, seth vidal.

Comment 12 seth vidal 2008-09-15 13:07:47 UTC
closing - upstream - it'll be out in the next release of yum-utils.


Note You need to log in before you can comment on or make changes to this bug.